Macros | Functions
example_vibration_main.c File Reference
`#include <float.h>`
`#include <stdbool.h>`
`#include <stdint.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "acc_alg_basic_utils.h"`
`#include "acc_algorithm.h"`
`#include "acc_config.h"`
`#include "acc_definitions_a121.h"`
`#include "acc_definitions_common.h"`
`#include "acc_hal_definitions_a121.h"`
`#include "acc_hal_integration_a121.h"`
`#include "acc_integration.h"`
`#include "acc_integration_log.h"`
`#include "acc_processing.h"`
`#include "acc_rss_a121.h"`
`#include "acc_sensor.h"`
`#include "acc_version.h"`
`#include "example_vibration.h"`

Go to the source code of this file.

## Macros
#define | SENSOR_ID (1U)
#define | SENSOR_TIMEOUT_MS (1000U)
#define | DISPLACEMENT_HISTORY_COLUMN_WIDTH (16U)

## Functions
static bool | do_sensor_calibration_and_prepare (acc_sensor_t *sensor, void *buffer, uint32_t buffer_size, const acc_config_t *sensor_config)
static void | print_result (acc_vibration_handle_t *handle, acc_vibration_result_t *result)
static void | cleanup (acc_sensor_t *sensor, acc_processing_t *processing, void *buffer, acc_vibration_handle_t *handle)
int | acconeer_main (int argc, char *argv[])
| Assembly test example. More...

## Macro Definition Documentation

## ◆ DISPLACEMENT_HISTORY_COLUMN_WIDTH

#define DISPLACEMENT_HISTORY_COLUMN_WIDTH (16U)

Examples
  example_vibration_main.c.

Definition at line 52 of file example_vibration_main.c.

## ◆ SENSOR_ID

#define SENSOR_ID (1U)

Examples
  example_vibration_main.c.

Definition at line 49 of file example_vibration_main.c.

## ◆ SENSOR_TIMEOUT_MS

#define SENSOR_TIMEOUT_MS (1000U)

Examples
  example_vibration_main.c.

Definition at line 50 of file example_vibration_main.c.

## Function Documentation

## ◆ acconeer_main()

int acconeer_main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Assembly test example.

Touchless button application.

Tank level reference application.

Smart presence reference application.

Parking application.

Breathing example application.

Waste level application.

Vibration example.

Surface velocity example application.

Service subsweeps example.

Service multple configurations example.

Low power service example.

Service sensor calibration caching example.

Service example.

Processing subtract adaptive background example.

Processing static presence example.

Processing peak interpolation example.

Processing noncoherent mean example.

Processing coherent mean example.

Processing amplitude example.

hand motion application

Detector presence example with multiple configurations.

Low power detector presence example.

Detector presence example.

Detector distance example with iq data print.

Distance detector low power example.

Detector distance with calibration caching example.

Detector distance example.

Control helper example.

Cargo application.

Returns
  Returns EXIT_SUCCESS if successful, otherwise EXIT_FAILURE

Vibration example configuration

Examples
  example_vibration_main.c.

Definition at line 62 of file example_vibration_main.c.

## ◆ cleanup()

static void cleanup | ( | acc_sensor_t * | sensor,
|  | acc_processing_t * | processing,
|  | void * | buffer,
|  | acc_vibration_handle_t * | handle
| ) |  |
| static

Examples
  example_vibration_main.c.

Definition at line 287 of file example_vibration_main.c.

## ◆ do_sensor_calibration_and_prepare()

static bool do_sensor_calibration_and_prepare | ( | acc_sensor_t * | sensor,
|  | void * | buffer,
|  | uint32_t | buffer_size,
|  | const acc_config_t * | sensor_config
| ) |  |
| static

Examples
  example_vibration_main.c.

Definition at line 207 of file example_vibration_main.c.

## ◆ print_result()

static void print_result | ( | acc_vibration_handle_t * | handle,
|  | acc_vibration_result_t * | result
| ) |  |
| static

Examples
  example_vibration_main.c.

Definition at line 245 of file example_vibration_main.c.